LibreOffice: osl::Pipe Class Reference

LibreOffice LibreOffice 7.3 SDK C/C++ API Reference

Public Member Functions | Protected Attributes | List of all members
osl::Pipe Class Reference

Represents a pipe. More...

`#include <pipe_decl.hxx>`

Inheritance diagram for osl::Pipe:

## Public Member Functions
| Pipe ()
| Does not create a pipe. More...
| Pipe (const ::rtl::OUString &strName, oslPipeOptions Options)
| Creates an insecure pipe that is accessible for all users. More...
| Pipe (const ::rtl::OUString &strName, oslPipeOptions Options, const Security &rSecurity)
| Creates a secure pipe that access depends on the umask settings. More...
| Pipe (const Pipe &pipe)
| Copy constructor. More...
| Pipe (oslPipe pipe, __sal_NoAcquire noacquire)
| Constructs a Pipe reference without acquiring the handle. More...
| Pipe (oslPipe Pipe)
| Creates pipe as wrapper around the underlying oslPipe. More...
| ~Pipe ()
| Destructor. More...
bool | is () const
bool | create (const ::rtl::OUString &strName, oslPipeOptions Options, const Security &rSec)
| Creates an insecure pipe that is accessible for all users with the given attributes. More...
bool | create (const ::rtl::OUString &strName, oslPipeOptions Options=osl_Pipe_OPEN)
| Creates a secure that access rights depend on the umask settings with the given attributes. More...
void | clear ()
| releases the underlying handle More...
Pipe & | operator= (const Pipe &pipe)
| Assignment operator. More...
Pipe & | operator= (const oslPipe pipe)
| Assignment operator. More...
bool | isValid () const
| Checks if the pipe is valid. More...
bool | operator== (const Pipe &rPipe) const
void | close ()
| Closes the pipe. More...
oslPipeError | accept (StreamPipe &Connection)
| Accept connection on an existing pipe. More...
oslPipeError | getError () const
| Delivers a constant describing the last error for the pipe system. More...
oslPipe | getHandle () const

## Protected Attributes
oslPipe | m_handle

## Detailed Description

Represents a pipe.

## Constructor & Destructor Documentation

## ◆ Pipe() [1/6]

osl::Pipe::Pipe | ( |  | ) |
| inline

Does not create a pipe.

Use assignment operator to make this a usable pipe.

## ◆ Pipe() [2/6]

osl::Pipe::Pipe | ( | const ::rtl::OUString & | strName,
|  | oslPipeOptions | Options
| ) |  |
| inline

Creates an insecure pipe that is accessible for all users.

Parameters

  strName |
  Options |

## ◆ Pipe() [3/6]

osl::Pipe::Pipe | ( | const ::rtl::OUString & | strName,
|  | oslPipeOptions | Options,
|  | const Security & | rSecurity
| ) |  |
| inline

Creates a secure pipe that access depends on the umask settings.

Parameters

  strName |
  Options |
  rSecurity |

## ◆ Pipe() [4/6]

osl::Pipe::Pipe | ( | const Pipe & | pipe | ) |
| inline

Copy constructor.

## ◆ Pipe() [5/6]

osl::Pipe::Pipe | ( | oslPipe | pipe,
|  | __sal_NoAcquire | noacquire
| ) |  |
| inline

Constructs a Pipe reference without acquiring the handle.

## ◆ Pipe() [6/6]

osl::Pipe::Pipe | ( | oslPipe | Pipe | ) |
| inline

Creates pipe as wrapper around the underlying oslPipe.

Parameters

  Pipe |

## ◆ ~Pipe()

osl::Pipe::~Pipe | ( |  | ) |
| inline

Destructor.

Destroys the underlying oslPipe.

## Member Function Documentation

## ◆ accept()

oslPipeError osl::Pipe::accept | ( | StreamPipe & | Connection | ) |
| inline

Accept connection on an existing pipe.

## ◆ clear()

void osl::Pipe::clear | ( |  | ) |
| inline

releases the underlying handle

## ◆ close()

void osl::Pipe::close | ( |  | ) |
| inline

Closes the pipe.

## ◆ create() [1/2]

bool osl::Pipe::create | ( | const ::rtl::OUString & | strName,
|  | oslPipeOptions | Options,
|  | const Security & | rSec
| ) |  |
| inline

Creates an insecure pipe that is accessible for all users with the given attributes.

If the pipe was already created, the old one will be discarded.

Parameters

  strName |
  Options |
  rSec |

Returns
  True if socket was successfully created.

## ◆ create() [2/2]

bool osl::Pipe::create | ( | const ::rtl::OUString & | strName,
|  | oslPipeOptions | Options = `osl_Pipe_OPEN`
| ) |  |
| inline

Creates a secure that access rights depend on the umask settings with the given attributes.

If socket was already created, the old one will be discarded.

Parameters

  strName |
  Options |

Returns
  True if socket was successfully created.

## ◆ getError()

oslPipeError osl::Pipe::getError | ( |  | ) | const
| inline

Delivers a constant describing the last error for the pipe system.

Returns
  ENONE if no error occurred, invalid_PipeError if an unknown (unmapped) error occurred, otherwise an enum describing the error.

## ◆ getHandle()

oslPipe osl::Pipe::getHandle | ( |  | ) | const
| inline

## ◆ is()

bool osl::Pipe::is | ( |  | ) | const
| inline

## ◆ isValid()

bool osl::Pipe::isValid | ( |  | ) | const
| inline

Checks if the pipe is valid.

Returns
  True if the object represents a valid pipe.

## ◆ operator=() [1/2]

Pipe & osl::Pipe::operator= | ( | const oslPipe | pipe | ) |
| inline

Assignment operator.

If pipe was already created, the old one will be discarded.

## ◆ operator=() [2/2]

Pipe & osl::Pipe::operator= | ( | const Pipe & | pipe | ) |
| inline

Assignment operator.

If pipe was already created, the old one will be discarded.

## ◆ operator==()

bool osl::Pipe::operator== | ( | const Pipe & | rPipe | ) | const
| inline

## Member Data Documentation

## ◆ m_handle

oslPipe osl::Pipe::m_handle
| protected

The documentation for this class was generated from the following files:

- osl/pipe_decl.hxx
- osl/pipe.hxx